Subject: Re: [PATCH] refs: sync loose refs to disk before committing them

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Nov 2021 18:40:22 -0700

Neeraj Singh <[email-masked]> writes:

> Is there some reason we shouldn't die if writing the ref fails? We are
> already accustomed to dying if fsyncing a packfile or the index fails.

If we look at the surrounding code and the callers of the function,
this caller of fsync() is about to signal a failure to its callers
by returning an error().  The callers are prepared to see an error
and cope with it.

Introducing die() to such a library-ish part of the code deep in the
callchain is not exactly a good change, especially when it is
obvious how we can avoid it.